## coq-equations 1.3

=== Makefile ===
# One of these two files will have been generated

.PHONY: all default makefiles clean-makefiles

all: Makefile.coq
	$(MAKE) -f Makefile.coq
	test -f Makefile.hott && $(MAKE) -f Makefile.hott || true

install: Makefile.coq
	$(MAKE) -f Makefile.coq install
	test -f Makefile.hott && $(MAKE) -f Makefile.hott install || true

makefiles: test-suite/Makefile examples/Makefile

clean-makefiles:
	rm -f test-suite/Makefile examples/Makefile

test-suite/Makefile: test-suite/_CoqProject
	cd test-suite && coq_makefile -f _CoqProject -o Makefile

examples/Makefile: examples/_CoqProject
	cd examples && coq_makefile -f _CoqProject -o Makefile

pre-all:: makefiles

# Ensure we make the bytecode version as well
post-all:: bytefiles

clean-examples: makefiles
	cd examples && $(MAKE) clean

clean-test-suite: makefiles
	cd test-suite && $(MAKE) clean

test-suite: makefiles all
	cd test-suite && $(MAKE)

.PHONY: test-suite

examples: examples/Makefile all
	cd examples && $(MAKE)

.PHONY: examples

clean: clean-makefiles makefiles
	$(MAKE) -f Makefile.coq clean
	test -f Makefile.hott && make -f Makefile.hott clean || true
	$(MAKE) clean-examples clean-test-suite

siteexamples: examples/*.glob
	sh siteexamples.sh

doc: html
	mkdir -p html/api && ocamldoc -html -d html/api \
		`ocamlfind query -r coq-core.lib coq-core.kernel coq-core.tactics coq-core.proofs \
			coq-core.toplevel coq-core.ltac coq-core.plugins.extraction -i-format` \
	  -rectypes -I src src/*.ml

toplevel: src/equations_plugin.cma bytefiles
	"$(OCAMLFIND)" ocamlc -linkpkg -linkall -g $(CAMLDEBUG) $(CAMLFLAGS) $(CAMLPKGS) \
		-package coq-core.toplevel,coq-core.plugins.extraction \
	  $< $(COQLIB)/toplevel/coqtop_bin.ml -o coqtop_equations

dune:-
	dune build

ci-dune:
	opam install -j 2 -y coq-hott.dev
	dune build

ci-hott:
	opam install -j 2 -y coq-hott.dev
	test -f Makefile.hott && $(MAKE) -f Makefile.hott all
	$(MAKE) -f Makefile.hott install
	$(MAKE) -f Makefile.hott uninstall
	
ci-local:
	$(MAKE) -f Makefile.coq all 
	$(MAKE) test-suite examples
	$(MAKE) -f Makefile.coq install
	$(MAKE) -f Makefile.coq uninstall
	
ci: ci-local

.PHONY: ci-dune ci-hott ci-local

=== doc/Makefile ===
vfiles := equations_intro.v
texfiles := equations.tex manual.tex

COQC?="$(COQBIN)coqc"
COQDOC?="$(COQBIN)coqdoc"

all: equations.pdf

equations.pdf: equations.tex $(texfiles) ${vfiles:.v=.tex}
	latexmk -pdf equations

clean:
	rm -f $(vfiles:.v=.vo)
	rm -f $(vfiles:.v=.glob)
	rm -f $(vfiles:.v=.tex)
	latexmk -c equations

clean-all: clean
	latexmk -C equations

$(vfiles:.v=.vo): %.vo: %.v
	$(COQC) $<

$(vfiles:.v=.tex): %.tex: %.vo
	$(COQDOC) --latex --body-only --interpolate --parse-comments ${<:.vo=.v}

## coq-equations 1.3-8.15

=== debian/changelog ===
coq-equations (1.3-8.15-2build1) kinetic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Aug 2022 12:20:26 +0200

coq-equations (1.3-8.15-2) unstable; urgency=medium

  * Complete d/copyright.
  * Add hott support now it's in Debian.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 14 Jul 2022 14:51:34 +0200

coq-equations (1.3-8.15-1) unstable; urgency=medium

  * Initial release. (Closes: #1014583)

 -- Julien Puydt <jpuydt@debian.org>  Fri, 08 Jul 2022 11:31:12 +0200

=== debian/control ===
Source: coq-equations
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: coq,
               debhelper-compat (= 13),
               dh-coq,
               dh-ocaml,
               libcoq-hott,
               libcoq-ocaml-dev,
               libcoq-stdlib,
               libocamlgraph-ocaml-dev
Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-equations
Vcs-Git: https://salsa.debian.org/ocaml-team/coq-equations.git
Homepage: https://github.com/mattam82/Coq-Equations

Package: libcoq-equations
Architecture: any
Depends: ${coq:Depends}, ${misc:Depends}
Provides: ${coq:Provides}
Description: Coq library to work with functions defined by equations
 This library provides a notation to write programs using dependent
 pattern-matching and well-founded recursion in Coq.
 .
 Coq is a proof assistant for higher-order logic.

## coq-equations 1.3-8.16

=== debian/changelog ===
coq-equations (1.3-8.16-2) unstable; urgency=medium

  * Change b-dep from libcoq-ocaml-dev to libcoq-core-ocaml-dev.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Jan 2023 13:00:34 +0100

coq-equations (1.3-8.16-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 22 Aug 2022 16:38:03 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-coq,
                dh-ocaml,
                libcoq-hott,
-               libcoq-ocaml-dev,
+               libcoq-core-ocaml-dev,
                libcoq-stdlib,
                libocamlgraph-ocaml-dev
 Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-equations

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with coq,ocaml

override_dh_auto_clean:
	# doesn't work

override_dh_auto_configure:
	./configure.sh --enable-hott

override_dh_auto_make:
	make

override_dh_auto_install:
	make install DESTDIR=debian/tmp

## coq-equations 1.3-8.17

=== debian/changelog ===
coq-equations (1.3-8.17-2build6) noble; urgency=medium

  * Rebuild against latest coq

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 23 Dec 2023 07:20:04 -0500

coq-equations (1.3-8.17-2build5) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Nov 2023 07:49:44 +0100

coq-equations (1.3-8.17-2build4) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Nov 2023 00:43:39 +0100

coq-equations (1.3-8.17-2build3) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 06 Nov 2023 17:14:38 +0100

coq-equations (1.3-8.17-2build2) mantic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Sep 2023 15:20:41 +0200

coq-equations (1.3-8.17-2build1) mantic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Sep 2023 12:31:08 +0200

coq-equations (1.3-8.17-2) unstable; urgency=medium

  * Fix d/rules clean target (Closes: #1044207).

 -- Julien Puydt <jpuydt@debian.org>  Fri, 01 Sep 2023 14:06:29 +0200

coq-equations (1.3-8.17-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.2.
  * Add lintian overrides for false positives.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 13 Jun 2023 07:05:00 +0200

## coq-equations 1.3-8.18

=== debian/changelog ===
coq-equations (1.3-8.18-1build3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 09:16:57 +0200

coq-equations (1.3-8.18-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:53:33 +0000

coq-equations (1.3-8.18-1build1) noble; urgency=medium

  * No-change rebuild for new libcoq-stdlib ABI

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 00:13:07 +0000

coq-equations (1.3-8.18-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 21 Dec 2023 16:56:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: coq-equations
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),

=== debian/watch ===
version=4
https://github.com/mattam82/Coq-Equations/tags .*/v?([\d\.-]+).tar.gz

## coq-equations 1.3-8.19

=== debian/changelog ===
coq-equations (1.3-8.19-1build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 May 2024 20:22:42 +0200

coq-equations (1.3-8.19-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 May 2024 22:11:55 +0200

coq-equations (1.3-8.19-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 24 Feb 2024 09:58:15 +0100

=== debian/tests/control ===
Test-Command: coqtop -batch -rifrom Equations Init
Depends: coq, @

## coq-equations 1.3.1

=== Makefile ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	mkdir -p html/api && ocamldoc -html -d html/api \
 		`ocamlfind query -r coq-core.lib coq-core.kernel coq-core.tactics coq-core.proofs \
 			coq-core.toplevel coq-core.ltac coq-core.plugins.extraction -i-format` \
-	  -rectypes -I src src/*.ml
+	  -I src src/*.ml
 
 toplevel: src/equations_plugin.cma bytefiles
 	"$(OCAMLFIND)" ocamlc -linkpkg -linkall -g $(CAMLDEBUG) $(CAMLFLAGS) $(CAMLPKGS) \

## coq-equations 1.3.1-8.20

=== debian/changelog ===
coq-equations (1.3.1-8.20-1build5) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Jun 2025 13:29:41 +0200

coq-equations (1.3.1-8.20-1build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Feb 2025 08:05:11 +0100

coq-equations (1.3.1-8.20-1build3) plucky; urgency=medium

  * Rebuild against latest coq

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 18 Feb 2025 20:54:04 -0500

coq-equations (1.3.1-8.20-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Feb 2025 00:40:49 +0100

coq-equations (1.3.1-8.20-1build1) plucky; urgency=medium

  * Rebuild against latest ocaml

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 01 Feb 2025 20:21:54 -0500

coq-equations (1.3.1-8.20-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 20 Nov 2024 10:52:33 +0100

coq-equations (1.3-8.19-2) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Aug 2024 07:04:45 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,18 @@
 	dh $@ --with coq,ocaml
 
 override_dh_auto_clean:
-	# doesn't work
+	find . -name "*.cm*" -delete
+	find . -name "*.vo*" -delete
+	find . -name "*.o" -delete
+	find . -name "*.glob" -delete
+	find . -name "*.aux" -delete
+	find . -name "*.ml.d" -delete
+	find . -name "*.mli.d" -delete
+	rm -f .Makefile.coq.d Makefile.coq Makefile.coq.conf
+	rm -f .Makefile.hott.d Makefile.hott Makefile.hott.conf
+	rm -f src/equations_plugin.mllib.d src/equations_plugin.a
+	rm -f src/g_equations.ml src/g_equations.mlg.d
+	rm -f META src/META.coq-equations
 
 override_dh_auto_configure:
 	./configure.sh --enable-hott
